Debian-Sicherheitsankündigung

DSA-1299-1 ipsec-tools -- Fehlende Eingabebereinigung

Datum des Berichts:
07. Jun 2007
Betroffene Pakete:
ipsec-tools
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
In Mitres CVE-Verzeichnis: CVE-2007-1841.
Weitere Informationen:

Es wurde entdeckt, dass ein speziell erzeugtes Paket, das an den racoon ipsec-Schlüsselaustausch-Server gesendet wird, einen Tunnel zum Absturz bringen kann, was zu einer Diensteverweigerung (denial of service) führt.

Die alte Stable-Distribution (Sarge) ist von diesem Problem nicht betroffen.

Für die Stable-Distribution (Etch) wurde dieses Problem in Version 1:0.6.6-3.1 behoben.

Für die Unstable-Distribution (Sid) wird dieses Problem bald behoben sein.

Wir empfehlen Ihnen, Ihr racoon-Paket zu aktualisieren.

Behoben in:

Debian GNU/Linux 4.0 (etch)

Quellcode:
http://security.debian.org/pool/updates/main/i/ipsec-tools/ipsec-tools_0.6.6-3.1etch1.dsc
http://security.debian.org/pool/updates/main/i/ipsec-tools/ipsec-tools_0.6.6-3.1etch1.diff.gz
http://security.debian.org/pool/updates/main/i/ipsec-tools/ipsec-tools_0.6.6.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/i/ipsec-tools/ipsec-tools_0.6.6-3.1etch1_alpha.deb
http://security.debian.org/pool/updates/main/i/ipsec-tools/racoon_0.6.6-3.1etch1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/i/ipsec-tools/ipsec-tools_0.6.6-3.1etch1_amd64.deb
http://security.debian.org/pool/updates/main/i/ipsec-tools/racoon_0.6.6-3.1etch1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/i/ipsec-tools/ipsec-tools_0.6.6-3.1etch1_arm.deb
http://security.debian.org/pool/updates/main/i/ipsec-tools/racoon_0.6.6-3.1etch1_arm.deb
HPPA:
http://security.debian.org/pool/updates/main/i/ipsec-tools/ipsec-tools_0.6.6-3.1etch1_hppa.deb
http://security.debian.org/pool/updates/main/i/ipsec-tools/racoon_0.6.6-3.1etch1_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/i/ipsec-tools/ipsec-tools_0.6.6-3.1etch1_i386.deb
http://security.debian.org/pool/updates/main/i/ipsec-tools/racoon_0.6.6-3.1etch1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/i/ipsec-tools/ipsec-tools_0.6.6-3.1etch1_ia64.deb
http://security.debian.org/pool/updates/main/i/ipsec-tools/racoon_0.6.6-3.1etch1_ia64.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/i/ipsec-tools/ipsec-tools_0.6.6-3.1etch1_mips.deb
http://security.debian.org/pool/updates/main/i/ipsec-tools/racoon_0.6.6-3.1etch1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/i/ipsec-tools/ipsec-tools_0.6.6-3.1etch1_mipsel.deb
http://security.debian.org/pool/updates/main/i/ipsec-tools/racoon_0.6.6-3.1etch1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/i/ipsec-tools/ipsec-tools_0.6.6-3.1etch1_powerpc.deb
http://security.debian.org/pool/updates/main/i/ipsec-tools/racoon_0.6.6-3.1etch1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/i/ipsec-tools/ipsec-tools_0.6.6-3.1etch1_s390.deb
http://security.debian.org/pool/updates/main/i/ipsec-tools/racoon_0.6.6-3.1etch1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/i/ipsec-tools/ipsec-tools_0.6.6-3.1etch1_sparc.deb
http://security.debian.org/pool/updates/main/i/ipsec-tools/racoon_0.6.6-3.1etch1_sparc.deb

MD5-Prüfsummen der aufgeführten Dateien stehen in der ursprünglichen Sicherheitsankündigung zur Verfügung.